load "/usr/lib/ncarg/nclscripts/csm/shapefile_utils.ncl"
load "/usr/lib/ncarg/nclscripts/csm/gsn_code.ncl"

files=systemfunc("ls *.shp")
f = addfiles(files, "r")
maskname = "test1.nc"  
fdata = addfile("fdETCCDI_yr_CCCma-CanESM2_H+rcp45_IITM-RegCM4_1981-2099.nc","r")

;-- read variable
var                    =  fdata->fdETCCDI(0,:,:)
var@lat2d              =  fdata->lat
var@lon2d              =  fdata->lon

;-- shapefile mask resources
opt             =  True
opt@return_mask =  True    ;-- this forces the return of a 0s and 1s mask array

;-- create the mask based on the given shapefile
mask_array             =  shapefile_mask_data(var,files, opt)
mask_array!0           = "y" 
mask_array!1           = "x" 
mask_array@coordinates = "XLAT XLONG" 

;-- create new netCDF file and write mask array
system("rm -f " + maskname)
fout = addfile(maskname,"c")

fout->mask_array =  mask_array
fout->XLAT       =  fdata->lon
fout->XLONG      =  fdata->lat
